name: ubuntu-calculator-app
version: 2.1+snap3
summary: Ubuntu Calculator app
description: The calculator app for all Ubuntu devices.
confinement: strict


apps:
  ubuntu-calculator-app:
    command: desktop-launch $SNAP/usr/lib/*/qt5/bin/qmlscene $SNAP/usr/share/ubuntu-calculator-app/ubuntu-calculator-app.qml
    plugs: [unity7, opengl]

parts:
  calculator:
    plugin: cmake
    configflags: [-DCMAKE_INSTALL_PREFIX=/usr, -DCLICK_MODE=off]
    source: .
    build-packages:
      - cmake
      - gettext
      - intltool
      - python3
      - qtbase5-dev
      - qtdeclarative5-dev
    stage-packages:
      - ubuntu-sdk-libs
      - qtubuntu-desktop
    snap:
      - -usr/share/doc
      - -usr/include
    after: [desktop/qt5]
